org.eclipse.gef.dot.internal.ui.conversion

## Class DotClusterStyleUtil

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil
  - - org.eclipse.gef.dot.internal.ui.conversion.DotClusterStyleUtil

All Implemented Interfaces:
  DotNodeStyleUtil

    public class DotClusterStyleUtil
    extends DotDefaultNodeStyleUtil

### Field Summary

### Fields inherited from class org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil

`colorUtil, dot`

### Constructor Summary

Constructors
Constructor and Description
`DotClusterStyleUtil(DotColorUtil colorUtil, org.eclipse.gef.graph.Node dot)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.gef.dot.internal.language.color.Color` `colorAttribute()`
`protected java.lang.String` `colorschemeAttribute()`
`protected org.eclipse.gef.dot.internal.language.colorlist.ColorList` `fillcolorAttribute()`
`protected boolean` `fillCondition()`
`protected java.lang.Double` `penwidthAttribute()`
`protected org.eclipse.gef.dot.internal.language.shape.Shape` `shapeAttribute()`
`protected org.eclipse.gef.dot.internal.language.style.Style` `styleAttribute()`

### Methods inherited from class org.eclipse.gef.dot.internal.ui.conversion.DotDefaultNodeStyleUtil

`addNodeStyle, computeZestStyle, fillFxCssString, hasStyle, strokeColorFxCssString, strokeWidthFxCssString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotClusterStyleUtil

    public DotClusterStyleUtil(DotColorUtil colorUtil,
                               org.eclipse.gef.graph.Node dot)

### Method Detail

#### shapeAttribute

    protected org.eclipse.gef.dot.internal.language.shape.Shape shapeAttribute()

Overrides:
  `shapeAttribute` in class `DotDefaultNodeStyleUtil`

#### colorschemeAttribute

    protected java.lang.String colorschemeAttribute()

Overrides:
  `colorschemeAttribute` in class `DotDefaultNodeStyleUtil`

#### colorAttribute

    protected org.eclipse.gef.dot.internal.language.color.Color colorAttribute()

Overrides:
  `colorAttribute` in class `DotDefaultNodeStyleUtil`

#### penwidthAttribute

    protected java.lang.Double penwidthAttribute()

Overrides:
  `penwidthAttribute` in class `DotDefaultNodeStyleUtil`

#### fillcolorAttribute

    protected org.eclipse.gef.dot.internal.language.colorlist.ColorList fillcolorAttribute()

Overrides:
  `fillcolorAttribute` in class `DotDefaultNodeStyleUtil`

#### fillCondition

    protected boolean fillCondition()

Overrides:
  `fillCondition` in class `DotDefaultNodeStyleUtil`

#### styleAttribute

    protected org.eclipse.gef.dot.internal.language.style.Style styleAttribute()

Overrides:
  `styleAttribute` in class `DotDefaultNodeStyleUtil`